/*
   Project: ImpersonatorToolKit

   Copyright (C) 2013 Sebastian Reitenbach

   Author: Sebastian Reitenbach

   Created: 2013-06-24 19:04:21 +0200 by sebastia

   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA.
*/

#ifndef _CONNECTION_H_
#define _CONNECTION_H_

#import <Foundation/Foundation.h>

@interface Connection : NSObject
{
  /* Source/destination address/port of this half-duplex connection. */
  NSString *srcIP;
  NSUInteger srcPort;
  NSString *dstIP;
  NSUInteger dstPort;

  NSMutableData *data;

  /* Flag indicating that we've seen a FIN-flagged segment for this stream,
   * so that it is undergoing a shutdown. */
  NSInteger fin;

  /* The time at which we last received any data on this stream. */
  time_t last;

  NSMutableArray *slots;
}

-(void) setSrcIP:(NSString *)_src;
-(NSString *) srcIP;
-(void) setDstIP:(NSString *)_src;
-(NSString *) dstIP;
-(void) setSrcPort:(NSUInteger)_srcPort;
-(void) setDstPort:(NSUInteger)_dstPort;
-(NSUInteger) srcPort;
-(NSUInteger) dstPort;
-(void) setLast:(time_t)_last;
-(time_t) last;
-(void) appendData: (NSData *)_data;
-(NSData *) data;
-(void) setFin:(NSUInteger) fin;
-(NSUInteger) fin;
@end

#endif // _CONNECTIONMANAGER_H_

