/*
   Project: ImpersonatorToolKit

   Copyright (C) 2013 Sebastian Reitenbach

   Author: Sebastian Reitenbach

   Created: 2013-06-24 19:04:21 +0200 by sebastia

   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA.
*/

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#import "Connection.h"


@implementation Connection

-(id) init
{
  if (self = [super init])
    {
      data = [[NSMutableData alloc] init];
    }
  return self;
} 

-(void) dealloc
{
  [srcIP release];
  [dstIP release];
  [data release];
  [super dealloc];
}

-(void) setSrcIP:(NSString *)_srcIP
{
  ASSIGN(srcIP,_srcIP);
}
-(NSString *) srcIP
{
  return srcIP;
}

-(void) setDstIP:(NSString *)_dstIP
{
  ASSIGN(dstIP,_dstIP);
}
-(NSString *) dstIP
{
  return dstIP;
}

-(void) setSrcPort:(NSUInteger)_srcPort
{
  srcPort = _srcPort;
}
-(NSUInteger) srcPort
{
  return srcPort;
}
-(void) setDstPort:(NSUInteger)_dstPort
{
  dstPort = _dstPort;
}
-(NSUInteger) dstPort
{
  return dstPort;
}

-(void) setLast:(time_t)_last
{
  last = _last;
}
-(time_t) last
{
  return last;
}

-(void) appendData: (NSData *)_data
{
  [data appendData:_data];
}
-(NSData *) data
{
  return data;
}

-(void) setFin:(NSUInteger)_fin
{
  fin = _fin;
}
-(NSUInteger) fin
{
  return fin;
}
@end
