/*
   Project: ImpersonatorToolKit

   Copyright (C) 2013 Sebastian Reitenbach

   Author: Sebastian Reitenbach

   Created: 2013-06-24 19:04:21 +0200 by sebastia

   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA.
*/

#import "DataLink.h"

@implementation DataLink

-(id) initWithSniffer: (PcapKit *) _sniffer
{
  if ((self = [super init]) != nil)
    {
      type = [_sniffer dataLink];
      name = [PcapKit getDataLinkNameForType:type];
      description = [PcapKit getDataLinkDescriptionForType:type];
    }
  return self;
}

-(void) dealloc
{
  [name release];
  [description release];
  [super dealloc];
}

- (void) setType:(NSInteger) _type;
{
  type = _type;
}

- (NSInteger) type
{
  return type;
}
- (void) setName: (NSString *) _name
{
  ASSIGN(name,_name);
}
- (NSString *) name
{
  return name;
}
- (void) setDescription: (NSString *) _description
{
  ASSIGN(description,_description);
}
- (NSString *) description
{
  return description;
}

@end
