/*
   Project: ImpersonatorToolKit

   Copyright (C) 2013 Sebastian Reitenbach

   Author: Sebastian Reitenbach

   Created: 2013-06-27 19:39:17 +0200 by sebastia

   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA.
*/

#ifndef _PAYLOAD_H_
#define _PAYLOAD_H_

#import <Foundation/Foundation.h>
#import <GNUstepBase/GSMime.h>
#import <Connection.h>

@interface Payload : NSObject
{
  NSString *clientIP;
  NSString *serverIP;
  NSString *urlPath;
  NSString *host;
  NSString *domain;
  NSMutableDictionary *cookies;
  BOOL payloadDebug;
  NSString *userAgent;
}

-(NSString *)clientIP;
-(NSString *)serverIP;
-(NSString *)urlPath;
-(NSString *)host;
-(NSString *)domain;
-(NSString *)userAgent;
-(NSDictionary *)cookies;

-(id)initWithConnection:(Connection *)_connection;

@end

#endif // _PAYLOAD_H_

